API ReferenceDeployments
Finalize a deployment
Mark a deployment as ready once all of its files have been uploaded. Argos assigns the deployment's aliases and starts serving it.
Mark a deployment as ready once all of its files have been uploaded. Argos assigns the deployment's aliases and starts serving it.
Authorization
projectToken AuthorizationBearer <token>
Authenticate as a project with a project token.
Send it as a bearer token in the Authorization header:
Authorization: Bearer <project-token>You can find your project token in your Argos project settings. Project tokens are used by CI and the SDK to create builds and deployments.
In: header
Path Parameters
deploymentId*string
The deployment ID
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/deployments/string/finalize"{ "id": "string", "status": "pending", "environment": "preview", "branch": "string", "commitSha": "string", "url": "http://example.com", "createdAt": "string"}